# $Id: ruby-finance.spec,v 1.8 2007/10/09 14:43:36 ianmacd Exp $
#
Summary: Ruby/Finance module 
Name: ruby-finance
Version: 0.2.3
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby >= 1.8.0
Requires: ruby >= 1.8.0

# Build documentation if we have rdoc on the build system.
%define rdoc %( type rdoc > /dev/null && echo 1 || echo 0 )

%description
Ruby/Finance allows access to changing financial data, such as currency
conversion rates and stock quotes. It is currently a partial port of Perl's
Finance::Quote module.

%prep
%setup
ruby setup.rb config --prefix=$RPM_BUILD_ROOT%{_prefix}
ruby setup.rb setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
ruby setup.rb install

%if %{rdoc}
  rdocpath=`ruby -rrdoc/ri/ri_paths -e 'puts RI::Paths::PATH[1] ||
					     RI::Paths::PATH[0]'`
  rdoc -r -o $RPM_BUILD_ROOT$rdocpath -x CVS lib
  rm $RPM_BUILD_ROOT$rdocpath/created.rid
%endif

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
  ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist
%if %{rdoc}
  echo '%%docdir' $rdocpath >> %{name}-%{version}-filelist
%endif

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc BUGS COPYING INSTALL README.rdoc
%doc example/

%changelog
* Tue Oct  9 2007 Ian Macdonald <ian@caliban.org> 0.2.3-1
- 0.2.3
- Fixes for Yahoo USA, Australia and Asia. None of these worked (any more).

* Sat Apr  8 2006 Ian Macdonald <ian@caliban.org> 0.2.2-1
- 0.2.2
- Currency conversion no longer worked, due to URL and HTML changes at Yahoo.
- Package RDoc documentation in form usable by ri, rather than in HTML.

* Thu Mar 24 2005 Ian Macdonald <ian@caliban.org> 0.2.1-1
- 0.2.1
- Symbols that began with a ^ character were not handled correctly.
- Generate ri documentation.

* Wed Jul 21 2004 Ian Macdonald <ian@caliban.org> 0.2.0-1
- 0.2.0
- Finance::Quote::AEX module has been added, for looking up quote data on the
  Amsterdam Euronext eXchange (AEX).
- Finance::Currency::DEFAULT_CURRENCY_FIELDS now also contains :offer and
  :price, which essentially duplicate :ask and :last, respectively.
- The first parameter to Finance::Quote#fetch may now be either a Symbol or a
  String.
- Finance::Quote#fetch now accepts an optional block, to which the returned
  QuoteData object will be yielded.
- The Finance::Quote::Yahoo.yahoo_request module method has been turned into a
  private instance method and is now properly registered at run-time.
- Finance::Quote::Yahoo#yahoo_request now accepts an optional block, to which
  the returned QuoteData object will be yielded.
- Finance::Quote::Yahoo#yahoo_request now returns a QuoteData, not a Hash.
- Finance::Quote::Yahoo#yahoo_request now properly performs currency
  conversion, if required.
- Registered plug-in methods were callable only via #fetch. This has been
  fixed.

* Sun Jul 11 2004 Ian Macdonald <ian@caliban.org> 0.1.0-1
- 0.1.0
- First public release.
